<?php

namespace AuthEmailPassword\Http\Middleware;

use Closure;

class FirstTimeLogin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (auth()->check() && auth()->user()->password_created_at === null) {
            return redirect()->route('create-password.index');
        }

        return $next($request);
    }
}
