<?php


namespace AuthEmailPassword\Http\Requests;

use AuthEmailPassword\Rules\PasswordRule;
use Illuminate\Foundation\Http\FormRequest;

class StoreCreatePassword extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'password' => [
                'required',
                'confirmed',
                new PasswordRule
            ]
        ];
    }
}
