<?php

namespace AuthEmailPassword\Mail;

use Illuminate\Mail\Mailable;

class CreatePassword extends Mailable
{
    public $token;

    public function __construct(string $passwordToken)
    {
        $this->token = $passwordToken;
    }

    public function build()
    {
        return $this->view('auth-password::create-password')->with([
            'token' => $this->token,
        ]);
    }
}
