<?php

namespace AuthEmailPassword\Observers;

use AuthEmailPassword\Mail\CreatePassword;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Mail;

class UserObserver
{
    /**
     * Handle the user "created" event.
     *
     * @param User $user
     * @return void
     */
    public function created(Model $user)
    {
        Mail::to($user->email)->send(new CreatePassword($user->password_token));
    }
}
