<?php

Route::middleware('web')
    ->namespace('AuthEmailPassword\Http\Controllers')
    ->group(function () {
        Route::get('login', 'LoginController@index')->name('login.index');
        Route::post('login', 'LoginController@login')->name('login.submit');
        Route::any('logout', 'LoginController@logout')->name('logout.submit');

        Route::get('reset-password', 'ResetPasswordController@index')->name('reset-password.index');

        Route::get('create-password/{token}', 'ChangePasswordController@index')->name('create-password.index');
        Route::post('create-password/{token}/store', 'ChangePasswordController@store')->name('create-password.store');
    });
