# Event Portal Package - Auth Email Password

Provides authentication to the Event Portal app via an email address and password.

## Installation

Add our Composer repository to your `composer.json`

```json
{
  "repositories": [
      {
          "type": "composer",
          "url": "https://composer.drp.digital"
      }
  ],
}
```

You can install the package via composer:

```bash
composer require event-portal/auth-email-password
```

You'll need to run database migrations to add the fields to the users table:

```bash
php artisan migrate
```

And add a user with an email address and password to log in.

## Usage

The frontend will need to use the following routes:
 - `login.index` for the login form
 - `login.submit` to submit the form
 - `logout.submit` to log out

### Testing

Hahahaha good one. Tests coming soon.

